Get an app run
curl --request GET \
--url https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/apps/{aId}/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/apps/{aId}/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/apps/{aId}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run": {
"run_id": "4a2c6e8b0d",
"app_id": "9f1d3b5a7c",
"status": {
"run": "succeeded",
"build": "succeeded"
},
"results": {},
"specification_hash": "8c0a4e6d2f",
"traces": [
[
{
"timestamp": 1234567890,
"trace": {}
}
]
]
}
}Apps
Get an app run
Retrieve a run for an app in the space identified by .
GET
/
api
/
v1
/
w
/
{wId}
/
spaces
/
{spaceId}
/
apps
/
{aId}
/
runs
/
{runId}
Get an app run
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
Unique string identifier for the workspace
ID of the space
ID of the app
ID of the run
Response
The run
Show child attributes
Show child attributes
⌘I